@{
    ViewData["Title1"] = "SMPIT";
    ViewData["Title"] = "Kegiatan";
}
<div class="content-area">
    <div class="container">
        <div class="row">
            <!-- Side bar start -->
            <div class="col-xl-3 col-lg-4 col-md-5 col-sm-12">
                <aside class="side-bar sticky-top">
                    <div class="widget">
                        <h5 class="widget-title style-1">Search</h5>
                        <div class="search-bx style-1">
                            <form role="search" action="/kegiatan/semuaunit?">
                                <div class="input-group">
                                    <input name="search" class="form-control" placeholder="Enter your keywords..." type="text">
                                    <span class="input-group-btn">
                                        <button type="submit" class="fa fa-search site-button sharp radius-no"></button>
                                    </span> 
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="widget recent-posts-entry">
                        <h5 class="widget-title style-1">Recent Posts</h5>
                        <div class="widget-post-bx">
                        @{
                            if (ViewBag.KegiatanList != null)
                            {
                                foreach (var item in ViewBag.KegiatanList)
                                {
                                    <div class="widget-post clearfix">
                                        <div class="dlab-post-media"> 
                                            <img src="/Asset/Files/Kegiatan/Unit/@item.FileImage" onError="this.onerror=null;this.src='/images/our-team/pic1.jpg';" width="200" height="143" alt=""> 
                                        </div>
                                        <div class="dlab-post-info">
                                            <div class="dlab-post-meta">
                                                <ul>
                                                    <li class="post-date"> <strong>@item.CreatedDate</strong> </li>
                                                    <li class="post-author"> By <a href="javascript:void(0);">@item.CreatedBy </a> </li>
                                                </ul>
                                            </div>
                                            <div class="dlab-post-header">
                                                <h6 class="post-title"><a href="/detailkegiatan/smpit?read=@item.Url">@item.Judul</a></h6>
                                            </div>
                                        </div>
                                    </div>
                                }
                            }
                        }
                        </div>
                    </div>
                    <div class="widget widget_gallery gallery-grid-4">
                        <h5 class="widget-title style-1">Our Gallery</h5>
                        <ul id="lightgallery" class="lightgallery">
                        @{
                            if (ViewBag.ImageList != null)
                            {
                                foreach (var item in ViewBag.ImageList)
                                {
                                    <li>
                                        <div class="dlab-post-thum dlab-img-effect">
                                            <span data-exthumbimage="/Asset/Files/Galeri/Unit/@item.FileGaleri" data-src="/Asset/Files/Galeri/Unit/@item.FileGaleri" class="check-km" title="@item.Judul">		
                                                <img src="/Asset/Files/Galeri/Unit/@item.FileGaleri" style=" object-fit: cover; width: 100px; height: 50px; " alt=""> 
                                            </span>
                                        </div>
                                    </li>
                                }
                            }
                        }
                        </ul>
                    </div>
                </aside>
            </div>
            <!-- Side bar END -->
            <!-- left part start -->
            <div class="col-xl-9 col-lg-8 col-md-7 col-sm-12">
                    
                    <!-- blog grid  -->
                    <div id="masonry" class="dlab-blog-grid-3">
                    @{
                        if (ViewBag.KegiatanList != null)
                        {
                            foreach (var item in ViewBag.KegiatanList)
                            {
                                <div class="post card-container col-xl-4 col-lg-6 col-md-12 col-sm-12">
                                    <div class="blog-post blog-grid blog-rounded blog-effect1">
                                        <div class="dlab-post-media dlab-img-effect"> 
                                            <a href="/detailkegiatan/smpit?read=@item.Url"><img src="/Asset/Files/Kegiatan/Unit/@item.FileImage" onError="this.onerror=null;this.src='/images/our-team/pic1.jpg';" alt=""></a> 
                                        </div>
                                        <div class="dlab-info p-a20">
                                            <div class="dlab-post-meta">
                                                <ul>
                                                    <li class="post-author"> <i class="la la-user-circle"></i> By <a href="javascript:void(0);">@item.CreatedBy</a> </li>
                                                    <li class="post-tag"> <a href="javascript:void(0);">SMPIT</a> </li>
                                                </ul>
                                            </div>
                                            <div class="dlab-post-title ">
                                                <h4 class="post-title"><a href="/detailkegiatan/smpit?read=@item.Url">@item.Judul</a></h4>
                                            </div>
                                            <div class="dlab-post-text">
                                                <p>@item.KeteranganSingkat</p>
                                            </div>
                                            <div class="post-footer">
                                                <div class="dlab-post-meta">
                                                    <ul>
                                                        <li class="post-date"> <i class="la la-clock"></i> <strong>@item.CreatedDate</strong> </li>
                                                    </ul>
                                                </div>
                                                <ul class="dlab-social-icon dez-border">
                                                    <li><a class="site-button facebook circle-sm fa fa-facebook" href="javascript:void(0);"></a></li>
                                                    <li><a class="site-button twitter circle-sm fa fa-twitter " href="javascript:void(0);"></a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            }
                        }
                    }

                    </div>
                    <!-- blog grid END -->
                    <!-- Pagination  -->
                    @* <div class="pagination-bx rounded-sm primary clearfix col-md-12 text-center">
                        <ul class="pagination">
                            <li class="previous"><a href="javascript:void(0);"><i class="ti-arrow-left"></i> Prev</a></li>
                            <li class="active"><a href="javascript:void(0);">1</a></li>
                            <li><a href="javascript:void(0);">2</a></li>
                            <li><a href="javascript:void(0);">3</a></li>
                            <li class="next"><a href="javascript:void(0);">Next <i class="ti-arrow-right"></i></a></li>
                        </ul>
                    </div> *@
                    <!-- Pagination END -->
                
            </div>
            <!-- left part END -->
        </div>
    </div>
</div>